Subject: Re: bug#76322: Make ctags a thin wrapper around etags

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Mar 2025 14:15:25 +0200

> Date: Tue, 11 Mar 2025 10:01:38 -0700
> Cc: [email-masked], [email-masked], Stefan Kangas <[email-masked]>
> From: Paul Eggert <[email-masked]>
> 
> On 2025-03-11 05:11, Eli Zaretskii wrote:
> > If we think our ctags is not being used (I suggested to query a few
> > distros about that), I'd rather drop it entirely, first by adding the
> > --ctags option to etags, and later maybe removing the ctags-only code
> > from etags.c.
> 
> That would be simpler, yes. Proposed patch attached.

Thanks, but please also update the test suite in test/manual/etags/.
(For now, I'd prefer to leave the ctags tests intact, and just update
the makefile to invoke "etags --ctags".)

> My impression is that distros generally prefer Universal Ctags these 
> days, though you can use Exuberant Ctags if you're old-fashioned or 
> Emacs ctags if your even older-fashioned. On Fedora, 'ctags' is 
> Universal Ctags; on Ubuntu all three variants are available as options 
> and /usr/bin/ctags is a symlink to /etc/alternatives/ctags which in turn 
> can link to /usr/bin/ctags-universal or /usr/bin/ctags-exuberant or 
> /usr/bin/ctags.emacs.
> 
> To some extent it's a chicken-and-egg problem: if we keep shipping ctags 
> some distros will keep making it available as an option. But there's no 
> real need for us to keep maintaining the third (and oldest) variant.

OK, let's wait with installing the patch until this discussion reaches
its conclusion, perhaps after more people chime in.